Main subscription placed at bottom of collapsed subscriptions

07/09/2018 01:06 PM - Walden Raines

Status: Closed   

Priority: Normal   

Assignee: Avi Sharvit   

Category: Subscriptions   

Target version: Katello 3.7.0   

Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link: 1597364 Red Hat JIRA:  

Pull request: https://github.com/Katello/katello/pull/751
Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1597364

Description of problem:

When you have multiple subscriptions collapsed, as part of a group, the main subscription is not the top element. Instead, it is listed

at the very bottom. This makes it seem as if there were no subscriptions consumed from the original, when looking at an uncollapsed

list.

Version-Release number of selected component (if applicable):

Satellite 6.4 Snap 10

How reproducible:

Always

Steps to Reproduce:

1. Upload a manifest that contains a subscription that allows for guests.

2. Register at least two (preferably 10) hosts, consuming some of those subscriptions.

3. Go to the subscriptions page.

Actual results:

The top element of the collapsible subscriptions isn't the main subscription. Instead the main subscription is at the bottom or in the

collapsed elements.

Expected results:

The main subscription is the top element shown, with its children collapsed below it.

Associated revisions

Revision ae73cdd4 - 07/11/2018 03:06 PM - Avi Sharvit

Fixes #24206 - Subscriptions group should reversed

History

#1 - 07/09/2018 08:17 PM - Walden Raines

- Assignee set to Avi Sharvit

#2 - 07/10/2018 02:09 PM - Walden Raines

- Target version set to Katello 3.7.0

#3 - 07/11/2018 09:02 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/Katello/katello/pull/7517 added

#4 - 07/11/2018 04:01 PM - Anonymous

05/17/2024 1/2

https://bugzilla.redhat.com/show_bug.cgi?id=1597364


- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset katello|ae73cdd4f44c20c019512741366d00d6856b9784.
